import 'package:electronic_assistant/base/app_base_request.dart';
import 'package:json_annotation/json_annotation.dart';

part 'config_request.g.dart';

@JsonSerializable()
class ConfigRequest extends AppBaseRequest {
  @JsonKey(name: 'confCodes')
  List<String> confCodes;

  ConfigRequest(this.confCodes);

  @override
  Map<String, dynamic> toJson() => _$ConfigRequestToJson(this);
}
